Get Supported Regions

get/api/accounts/{partnerAccountId}/supported-regions

Get a complete list of regions that are supported by the partner to issue cards. The response will include the following information about a region:

  1. The region name.
  2. The region's code for use with our APIs.
  3. The region's availability for the partner to issue cards.
  4. Any legal documents for the region.

Request

Path Parameters

  • partnerAccountIdstringrequired

    ID of the partner account.

Response

Successful operation.

Body application/json

  • regionsobject[]

    All regions supported by Immersve.

    Items

    • codestring

      The region's code.

    • titlestring

      The region's title.

    • isAvailableboolean

      Whether the region is available to the given partner account.

    • unstructuredAddressAllowedbooleandefault: false

      Whether unstructured addresses are accepted for partner conducted statements.

    • documentsobject

      Regulatory documents for available regions, required to be presented during onboarding.

      • generalTermsOfUseobject

        Terms governing the use of the platform.

        • titlestring

          Document title.

        • sourcestring

          URL to the document.

      • privacyPolicyobject

        Privacy policy.

        • titlestring

          Document title.

        • sourcestring

          URL to the document.

      • disclosuresobject[]

        Legal and financial disclosures mandated by regulators.

        Items

        • titlestring

          Document title.

        • sourcestring

          URL to the document.

      • marketComplianceobject[]

        Documentation ensuring compliance with market-specific regulations.

        Items

        • titlestring

          Document title.

        • sourcestring

          URL to the document.